mav_paletteColourIndexEmptyGet(3)

NAME
mav_paletteColourIndexEmptyGet - Return an empty index in the palette.

LEVEL
Maverik Level 1

SYNTAX
int mav_paletteColourIndexEmptyGet(MAV_palette *p);

int mav_paletteMaterialIndexEmptyGet(MAV_palette *p);

int mav_paletteTextureIndexEmptyGet(MAV_palette *p);

int mav_paletteLightIndexEmptyGet(MAV_palette *p);

int mav_paletteFontIndexEmptyGet(MAV_palette *p);

ARGUMENTS
Palette to query

DESCRIPTION
These functions return the first empty index for the relevant component in a given palette. If no empty index can be found a warning message a printed and -1 returned.